### Method

# Gimp Item set_lock_visibility

since: 3.0

#### Declaration [src]

    gboolean
    gimp_item_set_lock_visibility (
      GimpItem* item,
      gboolean lock_visibility
    )

#### Description [src]

Set the ‘lock visibility’ state of the specified item.

This procedure sets the specified item’s lock visibility state.

Available since: 3.0

#### Parameters

`lock_visibility`

  Type: `gboolean`

  The new item ‘lock visibility’ state.

#### Return value

Type: `gboolean`

TRUE on success.